### Property

# Ide LspHoverProvider:client

#### Declaration

    property client: Ide.LspClient [ read, write ]

#### Description

The “client” property is the `IdeLspClient` that should be used to communicate with the Language Server peer process.

Type: | `IdeLspClient`
Available since: | 3.30

Setter method | `ide_lsp_hover_provider_set_client()`
Getter method | `ide_lsp_hover_provider_get_client()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no